Subject: Re: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 May 2015 11:19:42 +0300

> Date: Fri, 22 May 2015 16:25:05 -0400
> From: Clément Pit--Claudel
>  <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> On 05/22/2015 03:35 PM, Eli Zaretskii wrote:
> >> Date: Fri, 22 May 2015 15:03:24 -0400
> >> From: Clément Pit--Claudel
> >>  <[email-masked]>
> >> CC: [email-masked]
> >>
> >> I believe you have something like the following line in mind:
> >>
> >>   (set-fontset-font fontset 'unicode (font-spec :name "Symbola") nil 'append)
> > 
> > That's too radical.  You could be more selective, e.g.:
> > 
> >   (set-fontset-font "fontset-default"
> >                     '(#x1d400 . #x1d7ff)
> > 		    "Symbola")
> > 
> > That's because you may wish using other fonts for other Unicode
> > blocks.
> 
> Note that I added the 'append parameter at the end of that line, so if it is executed last (and if I understand correctly!) then it should not override any other preferences.

When you use 'append' you can never know whether that would fix the
problem, because there could be other specs in the fontset that
override your addition.